/*
    Copyright (C) 2012 Harald Sitter <sitter@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PHONON_VLC_MIME_H
#define PHONON_VLC_MIME_H

#include <QtCore/QStringList>

namespace Phonon {
namespace VLC {

static QStringList mimeTypeList()
{
    // In CMake we null-terminate this list for ease of iteration.
    const char *c_strings[] = {"application/ogg", "application/x-ogg", "application/vnd.rn-realmedia", "application/x-annodex", "application/x-flash-video", "application/x-quicktimeplayer", "application/x-extension-mp4", "audio/168sv", "audio/3gpp", "audio/3gpp2", "audio/8svx", "audio/aiff", "audio/amr", "audio/amr-wb", "audio/basic", "audio/mp3", "audio/mp4", "audio/midi", "audio/mpeg", "audio/mpeg2", "audio/mpeg3", "audio/prs.sid", "audio/vnd.rn-realaudio", "audio/vnd.rn-realmedia", "audio/wav", "audio/webm", "audio/x-16sv", "audio/x-8svx", "audio/x-aiff", "audio/x-basic", "audio/x-it", "audio/x-m4a", "audio/x-matroska", "audio/x-mod", "audio/x-mp3", "audio/x-mpeg", "audio/x-mpeg2", "audio/x-mpeg3", "audio/x-mpegurl", "audio/x-ms-wma", "audio/x-ogg", "audio/x-pn-aiff", "audio/x-pn-au", "audio/x-pn-realaudio-plugin", "audio/x-pn-wav", "audio/x-pn-windows-acm", "audio/x-real-audio", "audio/x-realaudio", "audio/x-s3m", "audio/x-speex+ogg", "audio/x-vorbis+ogg", "audio/x-wav", "audio/x-xm", "image/ilbm", "image/png", "image/x-ilbm", "image/x-png", "video/3gpp", "video/3gpp2", "video/anim", "video/avi", "video/divx", "video/flv", "video/mkv", "video/mng", "video/mp4", "video/mpeg", "video/mpeg-system", "video/mpg", "video/msvideo", "video/ogg", "video/quicktime", "video/webm", "video/x-anim", "video/x-flic", "video/x-flv", "video/x-matroska", "video/x-mng", "video/x-m4v", "video/x-mpeg", "video/x-mpeg-system", "video/x-ms-asf", "video/x-ms-wma", "video/x-ms-wmv", "video/x-ms-wvx", "video/x-msvideo", "video/x-quicktime", "audio/x-flac", "audio/x-ape", 0};

    QStringList list;
    int i = 0;
    while (c_strings[i])
        list.append(QLatin1String(c_strings[i++]));
    return list;
}

} // namespace VLC
} // namespace Phonon

#endif // PHONON_VLC_MIME_H
